List messages in a chat
Authorization
bearerAuth AuthorizationBearer <token>
Instance secret token
In: header
Path Parameters
chatId*string
Query Parameters
cursor?string
limit?integer
Range
1 <= value <= 200Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://loading/api/v1/chats/abc123/messages"{
"data": [
{
"id": "string",
"chat_id": "string",
"role": "user",
"sender_id": "string",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"content_final": "string",
"content_partial": "string",
"stream_state": "none",
"model_id": "string",
"trace": {
"property1": null,
"property2": null
}
}
],
"cursor": {
"next": "string",
"hasMore": true
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request.",
"details": null
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request.",
"details": null
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request.",
"details": null
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request.",
"details": null
}
}